User Devices
Update general device attributes
Update general attributes of a device, like is_smart_optimization_active
or is_authenticated.
PATCH
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
devices
/
{device_id}
Update general device attributes
curl --request PATCH \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/devices/{device_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_smart_optimization_active": true,
"is_authenticated": true,
"is_inverter_forced_mode_enabled": true,
"comment": "<string>"
}
'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/devices/{device_id}"
payload = {
"is_smart_optimization_active": True,
"is_authenticated": True,
"is_inverter_forced_mode_enabled": True,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_smart_optimization_active: true,
is_authenticated: true,
is_inverter_forced_mode_enabled: true,
comment: '<string>'
})
};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/devices/{device_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID of the user's organization
The user ID of the user whom the device belongs to
The ID of the device to be updated
Body
application/json
Response
200
OK
Was this page helpful?
⌘I
Update general device attributes
